Bug 1500748 (CVE-2017-14695) - CVE-2017-14695 salt: Directory traversal in minion id validation
Summary: CVE-2017-14695 salt: Directory traversal in minion id validation
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14695
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1500750 1507416 1507418
Blocks: 1500752
TreeView+ depends on / blocked
 
Reported: 2017-10-11 12:06 UTC by Andrej Nemec
Modified: 2019-09-29 14:24 UTC (History)
6 users (show)

Fixed In Version: salt 2016.3.8, salt 2016.11.8, salt 2017.7.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:29:11 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-10-11 12:06:33 UTC
Directory traversal vulnerability in minion id validation in SaltStack. Allows remote minions with incorrect credentials to authenticate to a master via a crafted minion ID.

References:

https://docs.saltstack.com/en/latest/topics/releases/2017.7.2.html

Comment 1 Andrej Nemec 2017-10-11 12:07:17 UTC
Created salt tracking bugs for this issue:

Affects: epel-all [bug 1500750]


Note You need to log in before you can comment on or make changes to this bug.